program feld
implicit none

!=========================================================================
! dynamisch, Speicherreservierung zur Laufzeit, Werte aus Datei
integer :: i,n
real, dimension(:), allocatable :: a
real :: x0,p

open(100, "w08.dat")
read(100,*) n

allocate(a(0:n))
write(*,*) n,a
do i=0,n
   read(100,*) a(i)
   end do
close(100)
write(*,*) n,a
write(*,"(A10)",advance="no") "x0="
read(*,*) x0

p=a(n)
do i=n-1,0,-1
   p=p*x0+a(i)
   end do
write(*,*) x0,p

endprogram feld
